Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4451)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4452)
@@ -3330,19 +3333,19 @@
                    j = surf%j(m)
                    k = surf%k(m)
-                   
+
                    surf%rad_sw_in(m) = ( 1.0_wp - fac_dt )                     &
                                             * rad_sw_in_f%var3d(tm,j,i)        &
-                                   + fac_dt * rad_sw_in_f%var3d(t,j,i)                                   
-!
-!--                Limit shortwave incoming radiation to positive values, in 
+                                   + fac_dt * rad_sw_in_f%var3d(t,j,i)
+!
+!--                Limit shortwave incoming radiation to positive values, in
 !--                order to overcome possible observation errors.
                    surf%rad_sw_in(m) = MAX( 0.0_wp, surf%rad_sw_in(m) )
                    surf%rad_sw_in(m) = MERGE( surf%rad_sw_in(m), 0.0_wp, sun_up )
-                                         
+
                    surf%rad_lw_in(m) = ( 1.0_wp - fac_dt )                     &
                                             * rad_lw_in_f%var3d(tm,j,i)        &
-                                   + fac_dt * rad_lw_in_f%var3d(t,j,i) 
-!
-!--                Weighted average according to surface fraction. 
+                                   + fac_dt * rad_lw_in_f%var3d(t,j,i)
+!
+!--                Weighted average according to surface fraction.
                    surf%rad_sw_out(m) = ( surf%frac(m,ind_veg_wall)  *         &
                                           surf%albedo(m,ind_veg_wall)          &
@@ -3376,6 +3379,6 @@
                                    + surf%rad_lw_in(m) - surf%rad_lw_out(m)
 !
-!--                If diffuse shortwave radiation is available, store it on 
-!--                the respective files. 
+!--                If diffuse shortwave radiation is available, store it on
+!--                the respective files.
                    IF ( rad_sw_in_dif_f%from_file )  THEN
                       IF ( ALLOCATED( rad_sw_in_diff ) )                       &
@@ -3384,10 +3387,10 @@
                                      + fac_dt * rad_sw_in_dif_f%var3d(t,j,i)
 !
-!--                   dir = sw_in - sw_in_dif. 
+!--                   dir = sw_in - sw_in_dif.
                       IF ( ALLOCATED( rad_sw_in_dir  ) )                       &
                          rad_sw_in_dir(j,i)  = surf%rad_sw_in(m) -             &
                                                rad_sw_in_diff(j,i)
-!                 
-!--                   Diffuse longwave radiation equals the total downwelling 
+!
+!--                   Diffuse longwave radiation equals the total downwelling
 !--                   longwave radiation
                       IF ( ALLOCATED( rad_lw_in_diff ) )                       &
@@ -3399,5 +3402,5 @@
              ENDIF
 !
-!--          Store radiation also on 2D arrays, which are still used for 
+!--          Store radiation also on 2D arrays, which are still used for
 !--          direct-diffuse splitting. Note, this is only required
 !--          for horizontal surfaces, which covers all x,y position.
@@ -3406,5 +3409,5 @@
                    i = surf%i(m)
                    j = surf%j(m)
-                   
+
                    rad_sw_in(0,j,i)  = surf%rad_sw_in(m)
                    rad_lw_in(0,j,i)  = surf%rad_lw_in(m)
@@ -3413,9 +3416,9 @@
                 ENDDO
              ENDIF
- 
+
           END SUBROUTINE radiation_external_surf
 
-    END SUBROUTINE radiation_external    
-    
+    END SUBROUTINE radiation_external
+
 !------------------------------------------------------------------------------!
 ! Description:
@@ -3431,10 +3434,10 @@
        LOGICAL      ::  horizontal !< flag indicating treatment of horinzontal surfaces
 
-       REAL(wp)     ::  pt1       !< potential temperature at first grid level or mean value at urban layer top 
-       REAL(wp)     ::  pt1_l     !< potential temperature at first grid level or mean value at urban layer top at local subdomain 
-       REAL(wp)     ::  ql1       !< liquid water mixing ratio at first grid level or mean value at urban layer top 
-       REAL(wp)     ::  ql1_l     !< liquid water mixing ratio at first grid level or mean value at urban layer top at local subdomain 
-
-       TYPE(surf_type), POINTER ::  surf !< pointer on respective surface type, used to generalize routine   
+       REAL(wp)     ::  pt1       !< potential temperature at first grid level or mean value at urban layer top
+       REAL(wp)     ::  pt1_l     !< potential temperature at first grid level or mean value at urban layer top at local subdomain
+       REAL(wp)     ::  ql1       !< liquid water mixing ratio at first grid level or mean value at urban layer top
+       REAL(wp)     ::  ql1_l     !< liquid water mixing ratio at first grid level or mean value at urban layer top at local subdomain
+
+       TYPE(surf_type), POINTER ::  surf !< pointer on respective surface type, used to generalize routine
 
 !
@@ -3452,5 +3455,5 @@
 !--    Calculate value of the Exner function at model surface
 !
-!--    In case averaged radiation is used, calculate mean temperature and 
+!--    In case averaged radiation is used, calculate mean temperature and
 !--    liquid water mixing ratio at the urban-layer top.
        IF ( average_radiation ) THEN
@@ -3461,5 +3464,5 @@
           IF ( bulk_cloud_model  .OR.  cloud_droplets  )  ql1_l = SUM( ql(nz_urban_t,nys:nyn,nxl:nxr) )
 
-#if defined( __parallel )      
+#if defined( __parallel )
           IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
           CALL MPI_ALLREDUCE( pt1_l, pt1, 1, MPI_REAL, MPI_SUM, comm2d, ierr )
@@ -3477,5 +3480,5 @@
           ENDIF
 #else
-          pt1 = pt1_l 
+          pt1 = pt1_l
           IF ( bulk_cloud_model  .OR.  cloud_droplets )  ql1 = ql1_l
 #endif
@@ -3487,5 +3490,5 @@
        ENDIF
 !
-!--    Call clear-sky calculation for each surface orientation. 
+!--    Call clear-sky calculation for each surface orientation.
 !--    First, horizontal surfaces
        horizontal = .TRUE.
@@ -3518,7 +3521,7 @@
 
 !
-!--          Calculate radiation fluxes and net radiation (rad_net) assuming 
-!--          homogeneous urban radiation conditions. 
-             IF ( average_radiation ) THEN       
+!--          Calculate radiation fluxes and net radiation (rad_net) assuming
+!--          homogeneous urban radiation conditions.
+             IF ( average_radiation ) THEN
 
                 k = nz_urban_t
@@ -3526,5 +3529,5 @@
                 surf%rad_sw_in  = solar_constant * sky_trans * cos_zenith
                 surf%rad_sw_out = albedo_urb * surf%rad_sw_in
-                
+
                 surf%rad_lw_in  = emissivity_atm_clsky * sigma_sb * (pt1 * exner(k+1))**4
 
@@ -3539,5 +3542,5 @@
 
 !
-!--          Calculate radiation fluxes and net radiation (rad_net) for each surface 
+!--          Calculate radiation fluxes and net radiation (rad_net) for each surface
 !--          element.
              ELSE
@@ -3551,7 +3554,7 @@
 
 !
-!--                Weighted average according to surface fraction. 
-!--                ATTENTION: when radiation interactions are switched on the 
-!--                calculated fluxes below are not actually used as they are 
+!--                Weighted average according to surface fraction.
+!--                ATTENTION: when radiation interactions are switched on the
+!--                calculated fluxes below are not actually used as they are
 !--                overwritten in radiation_interaction.
                    surf%rad_sw_out(m) = ( surf%frac(m,ind_veg_wall)  *         &
@@ -3611,5 +3614,5 @@
                 ENDDO
              ENDIF
- 
+
           END SUBROUTINE radiation_clearsky_surf
 
@@ -3628,18 +3631,18 @@
 
        INTEGER(iwp) ::  l         !< running index for surface orientation
-       
+
        LOGICAL      ::  horizontal !< flag indicating treatment of horinzontal surfaces
 
-       REAL(wp)     ::  pt1       !< potential temperature at first grid level or mean value at urban layer top 
-       REAL(wp)     ::  pt1_l     !< potential temperature at first grid level or mean value at urban layer top at local subdomain 
-       REAL(wp)     ::  ql1       !< liquid water mixing ratio at first grid level or mean value at urban layer top 
-       REAL(wp)     ::  ql1_l     !< liquid water mixing ratio at first grid level or mean value at urban layer top at local subdomain 
+       REAL(wp)     ::  pt1       !< potential temperature at first grid level or mean value at urban layer top
+       REAL(wp)     ::  pt1_l     !< potential temperature at first grid level or mean value at urban layer top at local subdomain
+       REAL(wp)     ::  ql1       !< liquid water mixing ratio at first grid level or mean value at urban layer top
+       REAL(wp)     ::  ql1_l     !< liquid water mixing ratio at first grid level or mean value at urban layer top at local subdomain
 
        TYPE(surf_type), POINTER ::  surf !< pointer on respective surface type, used to generalize routine
 
 !
-!--    In case averaged radiation is used, calculate mean temperature and 
+!--    In case averaged radiation is used, calculate mean temperature and
 !--    liquid water mixing ratio at the urban-layer top.
-       IF ( average_radiation ) THEN   
+       IF ( average_radiation ) THEN
           pt1   = 0.0_wp
           IF ( bulk_cloud_model  .OR.  cloud_droplets )  ql1   = 0.0_wp
@@ -3648,5 +3651,5 @@
           IF ( bulk_cloud_model  .OR.  cloud_droplets )  ql1_l = SUM( ql(nz_urban_t,nys:nyn,nxl:nxr) )
 
-#if defined( __parallel )      
+#if defined( __parallel )
           IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
           CALL MPI_ALLREDUCE( pt1_l, pt1, 1, MPI_REAL, MPI_SUM, comm2d, ierr )
@@ -3729,5 +3732,5 @@
              ELSE
 !
-!--             Determine index offset between surface element and adjacent 
+!--             Determine index offset between surface element and adjacent
 !--             atmospheric grid point
                 ioff = surf%ioff
@@ -3753,5 +3756,5 @@
 
 !
-!--                Weighted average according to surface fraction. 
+!--                Weighted average according to surface fraction.
                    surf%rad_lw_out(m) = ( surf%frac(m,ind_veg_wall)  *         &
                                           surf%emissivity(m,ind_veg_wall)      &
@@ -3802,5 +3805,5 @@
 
           END SUBROUTINE radiation_constant_surf
-          
+
 
     END SUBROUTINE radiation_constant
@@ -3815,9 +3818,9 @@
 
        IMPLICIT NONE
- 
+
        INTEGER(iwp), INTENT(IN) ::  io            !< Unit of the output file
-    
-
-       
+
+
+
 !
 !--    Write radiation model header
@@ -3834,5 +3837,5 @@
        ELSEIF ( radiation_scheme == "external" )  THEN
           WRITE( io, 14 )
-       ENDIF 
+       ENDIF
 
        IF ( albedo_type_f%from_file  .OR.  vegetation_type_f%from_file  .OR.   &
@@ -3840,5 +3843,5 @@
             building_type_f%from_file )  THEN
              WRITE( io, 13 )
-       ELSE  
+       ELSE
           IF ( albedo_type == 0 )  THEN
              WRITE( io, 7 ) albedo
@@ -3850,7 +3853,7 @@
           WRITE( io, 9 )
        ENDIF
-       
+
        WRITE( io, 12 ) dt_radiation
- 
+
 
  3 FORMAT (//' Radiation model information:'/                                  &
@@ -3873,5 +3876,5 @@
 
     END SUBROUTINE radiation_header
-   
+
 
 !------------------------------------------------------------------------------!
@@ -3885,6 +3888,6 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file 
-       
+       CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file
+
        NAMELIST /radiation_par/   albedo, albedo_lw_dif, albedo_lw_dir,         &
                                   albedo_sw_dif, albedo_sw_dir, albedo_type,    &
@@ -3903,5 +3906,5 @@
                                   unscheduled_radiation_calls
 
-   
+
        NAMELIST /radiation_parameters/ albedo, albedo_lw_dif, albedo_lw_dir,    &
                                   albedo_sw_dif, albedo_sw_dir, albedo_type,    &
@@ -3919,7 +3922,7 @@
                                   svfnorm_report_thresh, sw_radiation,          &
                                   unscheduled_radiation_calls
-   
+
        line = ' '
-       
+
 !
 !--    Try to find radiation model namelist
@@ -3979,5 +3982,5 @@
 
  14    CONTINUE
-       
+
     END SUBROUTINE radiation_parin
 
@@ -4039,5 +4042,5 @@
        zenith(0) = cos_zenith
 !
-!--    Calculate surface albedo. In case average radiation is applied, 
+!--    Calculate surface albedo. In case average radiation is applied,
 !--    this is not required.
 #if defined( __netcdf )
@@ -4071,5 +4074,5 @@
        IF ( average_radiation ) THEN
 !
-!--       Determine minimum topography top index. 
+!--       Determine minimum topography top index.
           k_topo_l = MINVAL( topo_top_ind(nys:nyn,nxl:nxr,0) )
 #if defined( __parallel )
@@ -4079,5 +4082,5 @@
           k_topo = k_topo_l
 #endif
-       
+
           rrtm_asdir(1)  = albedo_urb
           rrtm_asdif(1)  = albedo_urb
@@ -4087,8 +4090,8 @@
           rrtm_emis = emissivity_urb
 !
-!--       Calculate mean pt profile. 
+!--       Calculate mean pt profile.
           CALL calc_mean_profile( pt, 4 )
           pt_av = hom(:, 1, 4, 0)
-          
+
           IF ( humidity )  THEN
              CALL calc_mean_profile( q, 41 )
@@ -4104,5 +4107,5 @@
              ! average ql is now in hom(:, 1, 54, 0)
              ql_av = hom(:, 1, 54, 0)
-             
+
              DO k = nzb+1, nzt+1
                 rrtm_tlay(0,k) = pt_av(k) * ( (hyp(k) ) / 100000._wp       &
@@ -4126,5 +4129,5 @@
 
 !
-!--       Avoid temperature/humidity jumps at the top of the PALM domain by 
+!--       Avoid temperature/humidity jumps at the top of the PALM domain by
 !--       linear interpolation from nzt+2 to nzt+7. Jumps are induced by
 !--       discrepancies between the values in the  domain and those above that
@@ -4163,5 +4166,5 @@
                 rrtm_cliqwp(0,k) =  ql_av(k) * 1000._wp *                   &
                                     (rrtm_plev(0,k) - rrtm_plev(0,k+1))     &
-                                    * 100._wp / g 
+                                    * 100._wp / g
 
                 IF ( rrtm_cliqwp(0,k) > 0._wp )  THEN
@@ -4189,14 +4192,14 @@
 !--       Set surface temperature
           rrtm_tsfc = t_rad_urb
-          
-          IF ( lw_radiation )  THEN  
+
+          IF ( lw_radiation )  THEN
 !
 !--          Due to technical reasons, copy optical depth to dummy arguments
 !--          which are allocated on the exact size as the rrtmg_lw is called.
 !--          As one dimesion is allocated with zero size, compiler complains
-!--          that rank of the array does not match that of the 
-!--          assumed-shaped arguments in the RRTMG library. In order to 
-!--          avoid this, write to dummy arguments and give pass the entire 
-!--          dummy array. Seems to be the only existing work-around.  
+!--          that rank of the array does not match that of the
+!--          assumed-shaped arguments in the RRTMG library. In order to
+!--          avoid this, write to dummy arguments and give pass the entire
+!--          dummy array. Seems to be the only existing work-around.
              ALLOCATE( rrtm_lw_taucld_dum(1:nbndlw+1,0:0,k_topo+1:nzt_rad+1) )
              ALLOCATE( rrtm_lw_tauaer_dum(0:0,k_topo+1:nzt_rad+1,1:nbndlw+1) )
@@ -4206,6 +4209,6 @@
              rrtm_lw_tauaer_dum =                                              &
                              rrtm_lw_tauaer(0:0,k_topo+1:nzt_rad+1,1:nbndlw+1)
-          
-             CALL rrtmg_lw( 1,                                                 &                                        
+
+             CALL rrtmg_lw( 1,                                                 &
                             nzt_rad-k_topo,                                    &
                             rrtm_icld,                                         &
@@ -4234,5 +4237,5 @@
                             rrtm_cicewp(:,k_topo+1:),                 &
                             rrtm_cliqwp(:,k_topo+1:),                 &
-                            rrtm_reice(:,k_topo+1:),                  & 
+                            rrtm_reice(:,k_topo+1:),                  &
                             rrtm_reliq(:,k_topo+1:),                  &
                             rrtm_lw_tauaer_dum,                                &
@@ -4245,5 +4248,5 @@
                             rrtm_lwuflx_dt(:,k_topo:),                &
                             rrtm_lwuflxc_dt(:,k_topo:) )
-                            
+
              DEALLOCATE ( rrtm_lw_taucld_dum )
              DEALLOCATE ( rrtm_lw_tauaer_dum )
@@ -4256,7 +4259,7 @@
              rad_lw_in_diff(:,:) = rad_lw_in(k_topo,:,:)
 !
-!--          Save heating rates (convert from K/d to K/h). 
+!--          Save heating rates (convert from K/d to K/h).
 !--          Further, even though an aggregated radiation is computed, map
-!--          signle-column profiles on top of any topography, in order to 
+!--          signle-column profiles on top of any topography, in order to
 !--          obtain correct near surface radiation heating/cooling rates.
              DO  i = nxl, nxr
@@ -4274,12 +4277,12 @@
           IF ( sw_radiation .AND. sun_up )  THEN
 !
-!--          Due to technical reasons, copy optical depths and other 
-!--          to dummy arguments which are allocated on the exact size as the 
+!--          Due to technical reasons, copy optical depths and other
+!--          to dummy arguments which are allocated on the exact size as the
 !--          rrtmg_sw is called.
 !--          As one dimesion is allocated with zero size, compiler complains
-!--          that rank of the array does not match that of the 
-!--          assumed-shaped arguments in the RRTMG library. In order to 
-!--          avoid this, write to dummy arguments and give pass the entire 
-!--          dummy array. Seems to be the only existing work-around.  
+!--          that rank of the array does not match that of the
+!--          assumed-shaped arguments in the RRTMG library. In order to
+!--          avoid this, write to dummy arguments and give pass the entire
+!--          dummy array. Seems to be the only existing work-around.
              ALLOCATE( rrtm_sw_taucld_dum(1:nbndsw+1,0:0,k_topo+1:nzt_rad+1) )
              ALLOCATE( rrtm_sw_ssacld_dum(1:nbndsw+1,0:0,k_topo+1:nzt_rad+1) )
@@ -4290,5 +4293,5 @@
              ALLOCATE( rrtm_sw_asmaer_dum(0:0,k_topo+1:nzt_rad+1,1:nbndsw+1) )
              ALLOCATE( rrtm_sw_ecaer_dum(0:0,k_topo+1:nzt_rad+1,1:naerec+1)  )
-     
+
              rrtm_sw_taucld_dum = rrtm_sw_taucld(1:nbndsw+1,0:0,k_topo+1:nzt_rad+1)
              rrtm_sw_ssacld_dum = rrtm_sw_ssacld(1:nbndsw+1,0:0,k_topo+1:nzt_rad+1)
@@ -4309,11 +4312,11 @@
                             rrtm_tlev(:,k_topo+1:nzt_rad+2),                   &
                             rrtm_tsfc,                                         &
-                            rrtm_h2ovmr(:,k_topo+1:nzt_rad+1),                 &                               
-                            rrtm_o3vmr(:,k_topo+1:nzt_rad+1),                  &        
+                            rrtm_h2ovmr(:,k_topo+1:nzt_rad+1),                 &
+                            rrtm_o3vmr(:,k_topo+1:nzt_rad+1),                  &
                             rrtm_co2vmr(:,k_topo+1:nzt_rad+1),                 &
                             rrtm_ch4vmr(:,k_topo+1:nzt_rad+1),                 &
                             rrtm_n2ovmr(:,k_topo+1:nzt_rad+1),                 &
                             rrtm_o2vmr(:,k_topo+1:nzt_rad+1),                  &
-                            rrtm_asdir,                                        & 
+                            rrtm_asdir,                                        &
                             rrtm_asdif,                                        &
                             rrtm_aldir,                                        &
@@ -4339,13 +4342,13 @@
                             rrtm_sw_asmaer_dum,                                &
                             rrtm_sw_ecaer_dum,                                 &
-                            rrtm_swuflx(:,k_topo:nzt_rad+1),                   &  
-                            rrtm_swdflx(:,k_topo:nzt_rad+1),                   & 
-                            rrtm_swhr(:,k_topo+1:nzt_rad+1),                   & 
-                            rrtm_swuflxc(:,k_topo:nzt_rad+1),                  & 
+                            rrtm_swuflx(:,k_topo:nzt_rad+1),                   &
+                            rrtm_swdflx(:,k_topo:nzt_rad+1),                   &
+                            rrtm_swhr(:,k_topo+1:nzt_rad+1),                   &
+                            rrtm_swuflxc(:,k_topo:nzt_rad+1),                  &
                             rrtm_swdflxc(:,k_topo:nzt_rad+1),                  &
                             rrtm_swhrc(:,k_topo+1:nzt_rad+1),                  &
                             rrtm_dirdflux(:,k_topo:nzt_rad+1),                 &
                             rrtm_difdflux(:,k_topo:nzt_rad+1) )
-                            
+
              DEALLOCATE( rrtm_sw_taucld_dum )
              DEALLOCATE( rrtm_sw_ssacld_dum )
@@ -4356,5 +4359,5 @@
              DEALLOCATE( rrtm_sw_asmaer_dum )
              DEALLOCATE( rrtm_sw_ecaer_dum )
-  
+
 !
 !--          Save radiation fluxes for the entire depth of the model domain
@@ -4382,5 +4385,5 @@
           ENDIF
 !
-!--    RRTMG is called for each (j,i) grid point separately, starting at the 
+!--    RRTMG is called for each (j,i) grid point separately, starting at the
 !--    highest topography level. Here no RTM is used since average_radiation is false
        ELSE
@@ -4410,5 +4413,5 @@
                       rrtm_tlay(0,k) = pt(k,j,i) * exner(k)                     &
                                         + lv_d_cp * ql(k,j,i)
-                      rrtm_h2ovmr(0,k) = mol_mass_air_d_wv * q(k,j,i) 
+                      rrtm_h2ovmr(0,k) = mol_mass_air_d_wv * q(k,j,i)
                    ENDDO
                 ELSE
@@ -4420,5 +4423,5 @@
                       DO k = nzb+1, nzt+1
                          rrtm_h2ovmr(0,k) =  mol_mass_air_d_wv * q(k,j,i)
-                      ENDDO   
+                      ENDDO
                    ELSE
                       rrtm_h2ovmr(0,nzb+1:nzt+1) = 0.0_wp
@@ -4427,5 +4430,5 @@
 
 !
-!--             Avoid temperature/humidity jumps at the top of the LES domain by 
+!--             Avoid temperature/humidity jumps at the top of the LES domain by
 !--             linear interpolation from nzt+2 to nzt+7
                 DO k = nzt+2, nzt+7
@@ -4463,5 +4466,5 @@
                       rrtm_cliqwp(0,k) =  ql(k,j,i) * 1000.0_wp *              &
                                           (rrtm_plev(0,k) - rrtm_plev(0,k+1))  &
-                                          * 100.0_wp / g 
+                                          * 100.0_wp / g
 
                       IF ( rrtm_cliqwp(0,k) > 0.0_wp )  THEN
@@ -4473,7 +4476,7 @@
                          IF ( bulk_cloud_model )  THEN
 !
-!--                         Calculete effective droplet radius. In case of using 
-!--                         cloud_scheme = 'morrison' and a non reasonable number 
-!--                         of cloud droplets the inital aerosol number  
+!--                         Calculete effective droplet radius. In case of using
+!--                         cloud_scheme = 'morrison' and a non reasonable number
+!--                         of cloud droplets the inital aerosol number
 !--                         concentration is considered.
                             IF ( microphysics_morrison )  THEN
@@ -4482,8 +4485,8 @@
                                ELSE
                                   nc_rad = na_init
-                               ENDIF 
+                               ENDIF
                             ELSE
                                nc_rad = nc_const
-                            ENDIF  
+                            ENDIF
 
                             rrtm_reliq(0,k) = 1.0E6_wp * ( 3.0_wp * ql(k,j,i)     &
@@ -4525,28 +4528,28 @@
 
 !
-!--             Write surface emissivity and surface temperature at current 
+!--             Write surface emissivity and surface temperature at current
 !--             surface element on RRTMG-shaped array.
 !--             Please note, as RRTMG is a single column model, surface attributes
-!--             are only obtained from horizontally aligned surfaces (for 
-!--             simplicity). Taking surface attributes from horizontal and 
-!--             vertical walls would lead to multiple solutions.  
+!--             are only obtained from horizontally aligned surfaces (for
+!--             simplicity). Taking surface attributes from horizontal and
+!--             vertical walls would lead to multiple solutions.
 !--             Moreover, for natural- and urban-type surfaces, several surface
-!--             classes can exist at a surface element next to each other. 
-!--             To obtain bulk parameters, apply a weighted average for these 
-!--             surfaces. 
+!--             classes can exist at a surface element next to each other.
+!--             To obtain bulk parameters, apply a weighted average for these
+!--             surfaces.
                 DO  m = surf_lsm_h%start_index(j,i), surf_lsm_h%end_index(j,i)
                    rrtm_emis = surf_lsm_h%frac(m,ind_veg_wall)  *              &
                                surf_lsm_h%emissivity(m,ind_veg_wall)  +        &
                                surf_lsm_h%frac(m,ind_pav_green) *              &
-                               surf_lsm_h%emissivity(m,ind_pav_green) +        & 
+                               surf_lsm_h%emissivity(m,ind_pav_green) +        &
                                surf_lsm_h%frac(m,ind_wat_win)   *              &
                                surf_lsm_h%emissivity(m,ind_wat_win)
                    rrtm_tsfc = surf_lsm_h%pt_surface(m) * exner(nzb)
-                ENDDO             
+                ENDDO
                 DO  m = surf_usm_h%start_index(j,i), surf_usm_h%end_index(j,i)
                    rrtm_emis = surf_usm_h%frac(m,ind_veg_wall)  *              &
                                surf_usm_h%emissivity(m,ind_veg_wall)  +        &
                                surf_usm_h%frac(m,ind_pav_green) *              &
-                               surf_usm_h%emissivity(m,ind_pav_green) +        & 
+                               surf_usm_h%emissivity(m,ind_pav_green) +        &
                                surf_usm_h%frac(m,ind_wat_win)   *              &
                                surf_usm_h%emissivity(m,ind_wat_win)
@@ -4562,8 +4565,8 @@
 !--                which are allocated on the exact size as the rrtmg_lw is called.
 !--                As one dimesion is allocated with zero size, compiler complains
-!--                that rank of the array does not match that of the 
-!--                assumed-shaped arguments in the RRTMG library. In order to 
-!--                avoid this, write to dummy arguments and give pass the entire 
-!--                dummy array. Seems to be the only existing work-around.  
+!--                that rank of the array does not match that of the
+!--                assumed-shaped arguments in the RRTMG library. In order to
+!--                avoid this, write to dummy arguments and give pass the entire
+!--                dummy array. Seems to be the only existing work-around.
                    ALLOCATE( rrtm_lw_taucld_dum(1:nbndlw+1,0:0,k_topo+1:nzt_rad+1) )
                    ALLOCATE( rrtm_lw_tauaer_dum(0:0,k_topo+1:nzt_rad+1,1:nbndlw+1) )
@@ -4574,5 +4577,5 @@
                                rrtm_lw_tauaer(0:0,k_topo+1:nzt_rad+1,1:nbndlw+1)
 
-                   CALL rrtmg_lw( 1,                                           &                                        
+                   CALL rrtmg_lw( 1,                                           &
                                   nzt_rad-k_topo,                              &
                                   rrtm_icld,                                   &
@@ -4601,5 +4604,5 @@
                                   rrtm_cicewp(:,k_topo+1:nzt_rad+1),           &
                                   rrtm_cliqwp(:,k_topo+1:nzt_rad+1),           &
-                                  rrtm_reice(:,k_topo+1:nzt_rad+1),            & 
+                                  rrtm_reice(:,k_topo+1:nzt_rad+1),            &
                                   rrtm_reliq(:,k_topo+1:nzt_rad+1),            &
                                   rrtm_lw_tauaer_dum,                          &
@@ -4630,5 +4633,5 @@
 
 !
-!--                Save surface radiative fluxes and change in LW heating rate 
+!--                Save surface radiative fluxes and change in LW heating rate
 !--                onto respective surface elements
 !--                Horizontal surfaces
@@ -4638,5 +4641,5 @@
                       surf_lsm_h%rad_lw_out(m)          = rrtm_lwuflx(0,k_topo)
                       surf_lsm_h%rad_lw_out_change_0(m) = rrtm_lwuflx_dt(0,k_topo)
-                   ENDDO             
+                   ENDDO
                    DO  m = surf_usm_h%start_index(j,i),                        &
                            surf_usm_h%end_index(j,i)
@@ -4644,7 +4647,7 @@
                       surf_usm_h%rad_lw_out(m)          = rrtm_lwuflx(0,k_topo)
                       surf_usm_h%rad_lw_out_change_0(m) = rrtm_lwuflx_dt(0,k_topo)
-                   ENDDO 
-!
-!--                Vertical surfaces. Fluxes are obtain at vertical level of the 
+                   ENDDO
+!
+!--                Vertical surfaces. Fluxes are obtain at vertical level of the
 !--                respective surface element
                    DO  l = 0, 3
@@ -4655,5 +4658,5 @@
                          surf_lsm_v(l)%rad_lw_out(m)          = rrtm_lwuflx(0,k)
                          surf_lsm_v(l)%rad_lw_out_change_0(m) = rrtm_lwuflx_dt(0,k)
-                      ENDDO             
+                      ENDDO
                       DO  m = surf_usm_v(l)%start_index(j,i),                  &
                               surf_usm_v(l)%end_index(j,i)
@@ -4662,5 +4665,5 @@
                          surf_usm_v(l)%rad_lw_out(m)          = rrtm_lwuflx(0,k)
                          surf_usm_v(l)%rad_lw_out_change_0(m) = rrtm_lwuflx_dt(0,k)
-                      ENDDO 
+                      ENDDO
                    ENDDO
 
